﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    public class ContractCostDTO
    {
        /// <summary>
        /// Desc: cbs表主键
        /// </summary>           
        public string CostCode { get; set; }
        /// <summary>
        /// 费用项名称
        /// </summary>
        public string CostCodeName { get; set; }

        /// <summary>
        /// Desc:CostBudgetSet 表主键      
        /// </summary>           
        public string CostBudgetSetCode { get; set; }

        /// <summary>
        /// Desc:含税金额
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal Cash { get; set; }
        public decimal RateCash { get; set; }
        public decimal NoRateCash { get; set; }

        public string Remark { get; set; }

    }
}
