﻿using Sugar.Enties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 登录信息
    /// </summary>
    public class LoginUserDTO
    {
         
        /// <summary>
        /// 登录成功返回的用户信息
        /// </summary>
        public SystemUser User { get; set; }
        /// <summary>
        /// 角色
        /// </summary>
        public string[] roles { get; set; }
        /// <summary>
        /// 简介
        /// </summary>
        public string introduction { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string avatar { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string name { get; set; }
         
        /// <summary>
        /// 岗位名
        /// </summary>
        public string stationName { get; set; }
        /// <summary>
        /// 岗位编号
        /// </summary>
        public string stationCode { get; set; }
        /// <summary>
        /// 所属部门名，此部门名是级联部门，各级部门名用-连接
        /// </summary>
        public string departmentName { get; set; }
        /// <summary>
        /// 所属部门编码
        /// </summary>
        public string departmentCode { get; set; }
    }
}
