﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 入库单自定义实体
    /// </summary>
    public class MaterialInDTO
    {
        public string MaterialInCode { get; set; }
        public string GroupName { get; set; }
        public string ProjectCode { get; set; }
        public string InPerson { get; set; }
        /// <summary>
        /// 采购人
        /// </summary>
        public string PurUserName { get; set; }
        private string _inDate;
        public string InDate
        {
            get
            {
                ;
                return string.IsNullOrEmpty(_inDate) ? "" : _inDate.Substring(0, 10);
            }
            set
            {
                _inDate = value;
            }
        }
        /// <summary>
        /// 制单人
        /// </summary>
        public string ZhiDanRen { get; set; }
        private string _InputDate;
        /// <summary>
        /// 制单日期
        /// </summary>
        public string InputDate
        {
            get
            {
                ;
                return string.IsNullOrEmpty(_InputDate) ? "" : _InputDate.Substring(0, 10);
            }
            set
            {
                _InputDate = value;
            }
        }
        /// <summary>
        /// 审核人
        /// </summary>
        public string CheckRen { get; set; }
        private string _CheckDate;
        /// <summary>
        /// 审核日期
        /// </summary>
        public string CheckDate
        {
            get
            {
                ;
                return string.IsNullOrEmpty(_CheckDate) ? "" : _CheckDate.Substring(0, 10);
            }
            set
            {
                _CheckDate = value;
            }
        }
        /// <summary>
        /// 合同名
        /// </summary>
        public string ContractName { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 状态名
        /// </summary>
        public string StatusName
        {
            get
            {
                Type type = typeof(SimpleCheckState);
                return type.GetEnumName(Status);
            }
        }
        /// <summary>
        /// 供应商代码
        /// </summary>
        public string SupplierCode
        {

            get; set;
        }
        public string SupplierName { get; set; }
        /// <summary>
        /// 供应商列表编码
        /// </summary>
        public string SupplierTypeCode { get; set; }
        /// <summary>
        /// 第三方供应商代码
        /// </summary>
        public string ThreeSupplierCode { get; set; }
        /// <summary>
        /// 第三方供应商类型
        /// </summary>
        public string ThreeSupplierTypeCode { get; set; }
        /// <summary>
        /// 第三方供应商名
        /// </summary>
        public string ThreeSupplierName { get; set; }
    }
}
