﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 树形节点对象
    /// </summary>
    public class TreeDTO
    {
        /// <summary>
        /// 唯一标识
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 节点名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 父节点
        /// </summary>
        public string Pid { get; set; }
        /// <summary>
        /// 是否最终节点
        /// </summary>
        public bool User { get; set; }
        /// <summary>
        /// 是否选中
        /// </summary>
        public bool Checked { get; set; }
        /// <summary>
        /// 子对象
        /// </summary>
        public List<TreeDTO> Children { get; set; }
    }
    public class SubNodeDTO
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string Pid { get; set; }
    }
}
