﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 费用明细
    /// </summary>
    public class ViseCostDTO
    {
        /// <summary>
        /// Desc:ViseCost表主键
        /// Default:
        /// Nullable:False
        /// </summary>      
        public string ViseCostCode { get; set; }

        /// <summary>
        /// Desc:vise表主键
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string ViseCode { get; set; }

        /// <summary>
        /// Desc: cbs表主键
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CostCode { get; set; }
        /// <summary>
        /// 费用项名称
        /// </summary>
        public string CostCodeName { get; set; }

        /// <summary>
        /// Desc:CostBudgetSet 表主键
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CostBudgetSetCode { get; set; }

        /// <summary>
        /// Desc:含税金额
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal? Cash { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal? CheckCash { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string MoneyType { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal? ExchangeRate { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal? Money { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:True
        /// </summary>           
        public decimal? CheckMoney { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        public string State { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CpId { get; set; }

        /// <summary>
        /// Desc:税额
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal RateCash { get; set; }

        /// <summary>
        /// Desc:不含税金额
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal NoRateCash { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal RateMoney { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal NoRateMoney { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal RateCheckCash { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal NoRateCheckCash { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal RateCheckMoney { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal NoRateCheckMoney { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public decimal? Rate { get; set; }
    }
}
