﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("AccountSubject")]
    public partial class AccountSubject
    {
           public AccountSubject(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int SubjectCode {get;set;}

           /// <summary>
           /// Desc:科目编码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ccode {get;set;}

           /// <summary>
           /// Desc:科目名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ccode_name {get;set;}

           /// <summary>
           /// Desc:编码级次
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? igrade {get;set;}

           /// <summary>
           /// Desc:是否末级　０－否　１－是
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bend {get;set;}

           /// <summary>
           /// Desc:科目性质（余额方向）　０－贷　１－借
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bproperty {get;set;}

           /// <summary>
           /// Desc:客商核算　０－否　１－是
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bcus {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbcus {get;set;}

           /// <summary>
           /// Desc:供应商核算　０－否　１－是
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bsup {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbsup {get;set;}

           /// <summary>
           /// Desc:项目核算　０－否　１－是
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bitem {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbitem {get;set;}

           /// <summary>
           /// Desc:帐套编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int AccountCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? parentcode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bdept {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbdept {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bcash {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbcash {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bBankAccount {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbBankAccount {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bProject {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbProject {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bContract {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbContract {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? bInnerCus {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string NcDocbInnerCus {get;set;}

    }
}
