﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///目标费用明细
    ///</summary>
    [SugarTable("CostBudgetDtl")]
    public partial class CostBudgetDtl
    {
           public CostBudgetDtl(){


           }
           /// <summary>
           /// Desc:目标费用明细编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string CostBudgetDtlCode {get;set;}

           /// <summary>
           /// Desc:目标费用表编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostBudgetCode {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:费用项编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostCode {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Price {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Qty {get;set;}

           /// <summary>
           /// Desc:单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Unit {get;set;}

           /// <summary>
           /// Desc:目标费用
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? BudgetMoney {get;set;}

           /// <summary>
           /// Desc:是否展开 0＝折叠；1＝展开
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? IsExpand {get;set;}

           /// <summary>
           /// Desc:说明
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Description {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal AllowTax {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TaxRate {get;set;}

    }
}
