﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///存储控件和桌面的关系
    ///</summary>
    [SugarTable("DeskTopType")]
    public partial class DeskTopType
    {
           public DeskTopType(){


           }
           /// <summary>
           /// Desc:标示符
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Code {get;set;}

           /// <summary>
           /// Desc:控件ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ControldID {get;set;}

           /// <summary>
           /// Desc:桌面类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string DeskType {get;set;}

    }
}
