﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("FundPlanDtl")]
    public partial class FundPlanDtl
    {
           public FundPlanDtl(){


           }
           /// <summary>
           /// Desc:资金计划明细主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public int FundPlanDtlCode {get;set;}

           /// <summary>
           /// Desc:资金计划主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? FundPlanCode {get;set;}

           /// <summary>
           /// Desc:1=合同资金计划；2=非合同资金计划
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? IsContract {get;set;}

           /// <summary>
           /// Desc:费用项主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostCode {get;set;}

           /// <summary>
           /// Desc:合同主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ContractCode {get;set;}

           /// <summary>
           /// Desc:计划金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ApplyMoney {get;set;}

           /// <summary>
           /// Desc:财务审核金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? FinanceMoney {get;set;}

           /// <summary>
           /// Desc:审批金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? CheckMoney {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? PlanPayDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CpId {get;set;}

    }
}
