﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("GradeDepartment")]
    public partial class GradeDepartment
    {
           public GradeDepartment(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string DepartmentDefineCode {get;set;}

           /// <summary>
           /// Desc:评分主定义表Code(FK)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MainDefineCode {get;set;}

           /// <summary>
           /// Desc:部门名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string DepartmentName {get;set;}

           /// <summary>
           /// Desc:调整系数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? AdjustCoefficient {get;set;}

           /// <summary>
           /// Desc:权重
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Percentage {get;set;}

    }
}
