﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("MarketPlanAudit")]
    public partial class MarketPlanAudit
    {
           public MarketPlanAudit(){


           }
           /// <summary>
           /// Desc:主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Code {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:营销方案名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PName {get;set;}

           /// <summary>
           /// Desc:期段开始时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? BeginTime {get;set;}

           /// <summary>
           /// Desc:期段结束时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? EndTime {get;set;}

           /// <summary>
           /// Desc:经办部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Dept {get;set;}

           /// <summary>
           /// Desc:经办人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Worker {get;set;}

           /// <summary>
           /// Desc:营销方案概述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Summarize {get;set;}

           /// <summary>
           /// Desc:流程状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Status {get;set;}

           /// <summary>
           /// Desc:预备字段(营销方案书)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

    }
}
