﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("PurchaseContractAccount")]
    public partial class PurchaseContractAccount
    {
           public PurchaseContractAccount(){


           }
           /// <summary>
           /// Desc:合同code(主键)
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string PurchaseContractAccountCode {get;set;}

           /// <summary>
           /// Desc:合同结算单号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractAccountID {get;set;}

           /// <summary>
           /// Desc:合同code(外键)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractCode {get;set;}

           /// <summary>
           /// Desc:原因
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Reason {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Status {get;set;}

           /// <summary>
           /// Desc:创建日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateDate {get;set;}

           /// <summary>
           /// Desc:创建者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreatePerson {get;set;}

           /// <summary>
           /// Desc:合同变更号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ContractChangeID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckPerson {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CheckDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckOpinion {get;set;}

           /// <summary>
           /// Desc:结算部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BalanceDept {get;set;}

           /// <summary>
           /// Desc:结算人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BalancePerson {get;set;}

           /// <summary>
           /// Desc:结算日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? BalanceDate {get;set;}

    }
}
