﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SaMarketPlanDtl")]
    public partial class SaMarketPlanDtl
    {
           public SaMarketPlanDtl(){


           }
           /// <summary>
           /// Desc:企划子项内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int mpdID {get;set;}

           /// <summary>
           /// Desc:企划内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int marketPlanID {get;set;}

           /// <summary>
           /// Desc:实施类型(数据字典)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdType {get;set;}

           /// <summary>
           /// Desc:实施时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime mpdOperateDate {get;set;}

           /// <summary>
           /// Desc:媒体(预留)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdMedia {get;set;}

           /// <summary>
           /// Desc:内容
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdContent {get;set;}

           /// <summary>
           /// Desc:实施总价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal mpdOperateMoney {get;set;}

           /// <summary>
           /// Desc:供应商名字
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdSupplierName {get;set;}

           /// <summary>
           /// Desc:主要诉求(预留)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdMainAsk {get;set;}

           /// <summary>
           /// Desc:说明
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpdComment {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
