﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SaSalesFeeRule")]
    public partial class SaSalesFeeRule
    {
           public SaSalesFeeRule(){


           }
           /// <summary>
           /// Desc:佣金公式表内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int sfrId {get;set;}

           /// <summary>
           /// Desc:项目内码
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int projectID {get;set;}

           /// <summary>
           /// Desc:公式名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string sfrName {get;set;}

           /// <summary>
           /// Desc:是否默认(0-否，1-是)
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int sfrIsDefault {get;set;}

           /// <summary>
           /// Desc:是否有效(0-否，1-是)
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int sfrIsEffect {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
