﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SaSalesFeeRuleDetail")]
    public partial class SaSalesFeeRuleDetail
    {
           public SaSalesFeeRuleDetail(){


           }
           /// <summary>
           /// Desc:佣金公式子项内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int sfrdId {get;set;}

           /// <summary>
           /// Desc:佣金公司内码
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int salesFeeRuleId {get;set;}

           /// <summary>
           /// Desc:子公式名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string sfrdName {get;set;}

           /// <summary>
           /// Desc:计算方式(1-合同金额乘以，2-固定金额)
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int sfrdType {get;set;}

           /// <summary>
           /// Desc:计算参数
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sfrdNumber {get;set;}

           /// <summary>
           /// Desc:发放对象(1-业务员，2-销售经理)
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int sfrdGiveObject {get;set;}

           /// <summary>
           /// Desc:条件说明
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string sfrdRemark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string sfrdGiveObjectNew {get;set;}

    }
}
