﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///流程属性实例
    ///</summary>
    [SugarTable("WorkFlowCaseProperty")]
    public partial class WorkFlowCaseProperty
    {
        public WorkFlowCaseProperty()
        {


        }
        /// <summary>
        /// Desc:流程属性实例编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true)]
        public string WorkFlowCasePropertyCode { get; set; }

        /// <summary>
        /// Desc:流程实例编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string WorkFlowCaseCode { get; set; }

        /// <summary>
        /// Desc:流程属性编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string WorkFlowProcedurePropertyCode { get; set; }

        /// <summary>
        /// Desc:流程属性值
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string WorkFlowProcedurePropertyValue { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remak { get; set; }

        /// <summary>
        /// Desc:流程属性名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string WorkFlowProcedurePropertyName { get; set; }

    }
}
