﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prCharge")]
    public partial class prCharge
    {
           public prCharge(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int CId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:业务类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BusinessType {get;set;}

           /// <summary>
           /// Desc:业务主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? BusinessId {get;set;}

           /// <summary>
           /// Desc:收付类型：0-收款,1-付款，2-退款
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeType {get;set;}

           /// <summary>
           /// Desc:费用名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ChargeName {get;set;}

           /// <summary>
           /// Desc:费用科目表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeSubjectId {get;set;}

           /// <summary>
           /// Desc:房源主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? RoomId {get;set;}

           /// <summary>
           /// Desc:客户主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientId {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CurrencyMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? PayedCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:费用开始时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ChargeStartDate {get;set;}

           /// <summary>
           /// Desc:费用结束时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ChargeEndDate {get;set;}

           /// <summary>
           /// Desc:费用收付日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ChargeDate {get;set;}

           /// <summary>
           /// Desc:费用收支方向：0-收，1-支
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeRP {get;set;}

           /// <summary>
           /// Desc:票据号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BillNum {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:录入人编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string InputPersonCode {get;set;}

           /// <summary>
           /// Desc:录入日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? InputDate {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:审核人编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
