﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prChargeChange")]
    public partial class prChargeChange
    {
           public prChargeChange(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int CCId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:物业费用表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeId {get;set;}

           /// <summary>
           /// Desc:原本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal OldCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:变更本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ChangeCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:变更后金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal NewCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:变更人
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ChangePersonCode {get;set;}

           /// <summary>
           /// Desc:变更日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ChangeDate {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
