﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prChargeNotice")]
    public partial class prChargeNotice
    {
           public prChargeNotice(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int CNId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:客户主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientId {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:最后付款日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime LatestPaymentDate {get;set;}

           /// <summary>
           /// Desc:录入人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreatePersonCode {get;set;}

           /// <summary>
           /// Desc:录入日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateDate {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:审核人编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:打印次数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? PrintTimes {get;set;}

           /// <summary>
           /// Desc:最后打印人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PrintPersonCode {get;set;}

           /// <summary>
           /// Desc:最后打印日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? PrintDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
