﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prChargeReturn")]
    public partial class prChargeReturn
    {
           public prChargeReturn(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int CRId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:业务类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BusinessType {get;set;}

           /// <summary>
           /// Desc:业务主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? BusinessId {get;set;}

           /// <summary>
           /// Desc:房源主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? RoomId {get;set;}

           /// <summary>
           /// Desc:客户主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientId {get;set;}

           /// <summary>
           /// Desc:客户银行名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ClientBankName {get;set;}

           /// <summary>
           /// Desc:客户银行帐号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ClientBankAccount {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:退款日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ReturnDate {get;set;}

           /// <summary>
           /// Desc:退款申请人
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ReturnPersonCode {get;set;}

           /// <summary>
           /// Desc:录入人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string InputPersonCode {get;set;}

           /// <summary>
           /// Desc:录入日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? InputDate {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
