﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prChargeSubject")]
    public partial class prChargeSubject
    {
           public prChargeSubject(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int CSId {get;set;}

           /// <summary>
           /// Desc:费用科目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SortId {get;set;}

           /// <summary>
           /// Desc:费用科目名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string SubjectName {get;set;}

           /// <summary>
           /// Desc:计算方式
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int CountType {get;set;}

           /// <summary>
           /// Desc:单价或金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? PriceMoney {get;set;}

           /// <summary>
           /// Desc:业务类型,多个以逗号分隔
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BusinessType {get;set;}

           /// <summary>
           /// Desc:科目收支方向
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? SubjectRP {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? TaxRate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string TaxSPBM {get;set;}

           /// <summary>
           /// Desc:
           /// Default:2
           /// Nullable:False
           /// </summary>           
           public int PriceScale {get;set;}

    }
}
