﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevPlanDetail")]
    public partial class prDevPlanDetail
    {
           public prDevPlanDetail(){


           }
           /// <summary>
           /// Desc:维保计划明细唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdpdID {get;set;}

           /// <summary>
           /// Desc:唯保计划主表ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pdpmID {get;set;}

           /// <summary>
           /// Desc:唯保项目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdItem {get;set;}

           /// <summary>
           /// Desc:唯保类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdType {get;set;}

           /// <summary>
           /// Desc:唯保月份
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdMonth {get;set;}

           /// <summary>
           /// Desc:维保专业
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdProf {get;set;}

           /// <summary>
           /// Desc:维保负责人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdPerson {get;set;}

           /// <summary>
           /// Desc:维保要求
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdRequire {get;set;}

           /// <summary>
           /// Desc:预计维保费用
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal pdpdCost {get;set;}

           /// <summary>
           /// Desc:是否完成
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdpdStatus {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpdRemark {get;set;}

           /// <summary>
           /// Desc:设备ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdlID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
