﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevRepair")]
    public partial class prDevRepair
    {
           public prDevRepair(){


           }
           /// <summary>
           /// Desc:维保单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdrID {get;set;}

           /// <summary>
           /// Desc:维保单编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pdrNo {get;set;}

           /// <summary>
           /// Desc:管理处ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:维保项目
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrItem {get;set;}

           /// <summary>
           /// Desc:设备编码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrDevCode {get;set;}

           /// <summary>
           /// Desc:维保类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrType {get;set;}

           /// <summary>
           /// Desc:维保日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdrDate {get;set;}

           /// <summary>
           /// Desc:材料收发类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrMatType {get;set;}

           /// <summary>
           /// Desc:维保专业
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrProf {get;set;}

           /// <summary>
           /// Desc:维保人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrRepairPerson {get;set;}

           /// <summary>
           /// Desc:实际维保费用
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdrCost {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrAuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdrAuditDate {get;set;}

           /// <summary>
           /// Desc:审核内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrAuditContent {get;set;}

           /// <summary>
           /// Desc:维保计划明细ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdpdID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int State {get;set;}

    }
}
