﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevRepairArt")]
    public partial class prDevRepairArt
    {
           public prDevRepairArt(){


           }
           /// <summary>
           /// Desc:维保工时明细ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdraID {get;set;}

           /// <summary>
           /// Desc:维保单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pdrID {get;set;}

           /// <summary>
           /// Desc:维保项目ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string HouseStandardItemID {get;set;}

           /// <summary>
           /// Desc:工时
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdraAmount {get;set;}

           /// <summary>
           /// Desc:工时费率
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdraPrice {get;set;}

           /// <summary>
           /// Desc:费用
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdraCost {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdraRemark {get;set;}

           /// <summary>
           /// Desc:费用表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargeID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
