﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevRepairMat")]
    public partial class prDevRepairMat
    {
           public prDevRepairMat(){


           }
           /// <summary>
           /// Desc:维保材料明细ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdrmID {get;set;}

           /// <summary>
           /// Desc:维保单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pdrID {get;set;}

           /// <summary>
           /// Desc:材料ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:出库单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int soId {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdrmAmount {get;set;}

           /// <summary>
           /// Desc:材料单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdrmPrice {get;set;}

           /// <summary>
           /// Desc:金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdrmCost {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdrmRemark {get;set;}

           /// <summary>
           /// Desc:费用表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargeID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
