﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDeviceList")]
    public partial class prDeviceList
    {
           public prDeviceList(){


           }
           /// <summary>
           /// Desc:设备档案唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdlID {get;set;}

           /// <summary>
           /// Desc:管理处ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:设备代码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pdlCode {get;set;}

           /// <summary>
           /// Desc:设备名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pdlName {get;set;}

           /// <summary>
           /// Desc:设备类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlType {get;set;}

           /// <summary>
           /// Desc:规格
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlSpec {get;set;}

           /// <summary>
           /// Desc:型号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlModel {get;set;}

           /// <summary>
           /// Desc:所属专业
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlProf {get;set;}

           /// <summary>
           /// Desc:制造商
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlManu {get;set;}

           /// <summary>
           /// Desc:出厂编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlMCode {get;set;}

           /// <summary>
           /// Desc:出厂日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdlMDate {get;set;}

           /// <summary>
           /// Desc:使用日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdlUDate {get;set;}

           /// <summary>
           /// Desc:设备原值
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pdlCost {get;set;}

           /// <summary>
           /// Desc:折旧年限
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdlDepr {get;set;}

           /// <summary>
           /// Desc:设备位置
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlLocate {get;set;}

           /// <summary>
           /// Desc:负责部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlDepart {get;set;}

           /// <summary>
           /// Desc:负责人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlPersonCode {get;set;}

           /// <summary>
           /// Desc:设备状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlStatus {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlTech {get;set;}

           /// <summary>
           /// Desc:维修单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlRDepart {get;set;}

           /// <summary>
           /// Desc:维修联系人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlContact {get;set;}

           /// <summary>
           /// Desc:维修联系电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlTel {get;set;}

           /// <summary>
           /// Desc:维修单位地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlAddr {get;set;}

           /// <summary>
           /// Desc:维修质保期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdlRCycle {get;set;}

           /// <summary>
           /// Desc:维修合同编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlContactID {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdlRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
