﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prFreePeriod")]
    public partial class prFreePeriod
    {
           public prFreePeriod(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int FPId {get;set;}

           /// <summary>
           /// Desc:经营性合同表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int OperateContractId {get;set;}

           /// <summary>
           /// Desc:免租开始时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime FreeStartDate {get;set;}

           /// <summary>
           /// Desc:免租结束时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime FreeEndDate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
