﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prHourStandardPrice")]
    public partial class prHourStandardPrice
    {
           public prHourStandardPrice(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int HSPId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:工时标准项目表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int HourStandardItemId {get;set;}

           /// <summary>
           /// Desc:项目价格
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal MIPrice {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:状态，0-非当前价，1-当前价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
