﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prHouseHoldsGoods")]
    public partial class prHouseHoldsGoods
    {
           public prHouseHoldsGoods(){


           }
           /// <summary>
           /// Desc:入住/入场领用物品唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int phhgID {get;set;}

           /// <summary>
           /// Desc:入住/入场主单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int phhmID {get;set;}

           /// <summary>
           /// Desc:物品名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string phhgName {get;set;}

           /// <summary>
           /// Desc:物品件数
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int phhgAmount {get;set;}

           /// <summary>
           /// Desc:领用人
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string phhgPerson {get;set;}

           /// <summary>
           /// Desc:领用日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime phhgDate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phhgRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
