﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prHouseHoldsMaster")]
    public partial class prHouseHoldsMaster
    {
           public prHouseHoldsMaster(){


           }
           /// <summary>
           /// Desc:入住/入场唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int phhmID {get;set;}

           /// <summary>
           /// Desc:管理处ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:客商身份:业主 = 0,租户 = 1,
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientType {get;set;}

           /// <summary>
           /// Desc:客户ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientID {get;set;}

           /// <summary>
           /// Desc:房源ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int RoomID {get;set;}

           /// <summary>
           /// Desc:入住/入场日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? phhmDate {get;set;}

           /// <summary>
           /// Desc:入住人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phhmPerson {get;set;}

           /// <summary>
           /// Desc:入住/入场
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string phhmType {get;set;}

           /// <summary>
           /// Desc:水表底数
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal phhmWater {get;set;}

           /// <summary>
           /// Desc:电表底数
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal phhmElectric {get;set;}

           /// <summary>
           /// Desc:气表底数
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal phhmGas {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phhmRemark {get;set;}

           /// <summary>
           /// Desc:是否入住/入场，0 - 未，1 - 已
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int phhmHold {get;set;}

           /// <summary>
           /// Desc:资料是否齐全：0 - No, 1 - Yes
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int phhmAllDoc {get;set;}

           /// <summary>
           /// Desc:费用是否交清，0 - No, 1 - Yes
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int phhmCostClear {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
