﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prPayment")]
    public partial class prPayment
    {
           public prPayment(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int PId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:收付类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PaymentType {get;set;}

           /// <summary>
           /// Desc:客户主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ClientId {get;set;}

           /// <summary>
           /// Desc:付款方式
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PaymentMode {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:收付款日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime PaymentDate {get;set;}

           /// <summary>
           /// Desc:收付款人
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string PaymentPersonCode {get;set;}

           /// <summary>
           /// Desc:收支方向
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PaymentRP {get;set;}

           /// <summary>
           /// Desc:录入人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string InputPersonCode {get;set;}

           /// <summary>
           /// Desc:录入日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? InputDate {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:是否生成凭证
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int IsVoucher {get;set;}

           /// <summary>
           /// Desc:凭证编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string VoucherCode {get;set;}

           /// <summary>
           /// Desc:生成凭证人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string VoucherPersonCode {get;set;}

           /// <summary>
           /// Desc:生成凭证日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? VoucherDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pRemark {get;set;}

    }
}
