﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prSendSheet")]
    public partial class prSendSheet
    {
           public prSendSheet(){


           }
           /// <summary>
           /// Desc:派工单唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pssID {get;set;}

           /// <summary>
           /// Desc:派单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int psspID {get;set;}

           /// <summary>
           /// Desc:派工或服务内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssContent {get;set;}

           /// <summary>
           /// Desc:预计工时
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? pssWorkHours {get;set;}

           /// <summary>
           /// Desc:服务人员
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssPerson {get;set;}

           /// <summary>
           /// Desc:要求服务开始时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssStartDate {get;set;}

           /// <summary>
           /// Desc:要求服务结束时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssEndDate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssRemark {get;set;}

           /// <summary>
           /// Desc:处理状态：0 - 未派出，1 - 作业用，2 - 已完成，3 - 已作废
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int pssStatus {get;set;}

           /// <summary>
           /// Desc:预约人ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssResPersonCode {get;set;}

           /// <summary>
           /// Desc:预约时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssResDate {get;set;}

           /// <summary>
           /// Desc:派工人ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssSendPersonCode {get;set;}

           /// <summary>
           /// Desc:派工时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssSendDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hoursStartdate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hoursEnddate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string hoursResdate {get;set;}

    }
}
