﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prServiceSheetProcess")]
    public partial class prServiceSheetProcess
    {
           public prServiceSheetProcess(){


           }
           /// <summary>
           /// Desc:派单唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int psspID {get;set;}

           /// <summary>
           /// Desc:管理处ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:接单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pssmID {get;set;}

           /// <summary>
           /// Desc:派单内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psspContent {get;set;}

           /// <summary>
           /// Desc:处理部门ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? psspDepartID {get;set;}

           /// <summary>
           /// Desc:派单日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime psspRecDate {get;set;}

           /// <summary>
           /// Desc:派单人ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int psspSponsorCode {get;set;}

           /// <summary>
           /// Desc:处理结果
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psspResult {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psspRemark {get;set;}

           /// <summary>
           /// Desc:派单状态：0 - 未派出，1 - 已派出，2-已完成
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int psspStatus {get;set;}

           /// <summary>
           /// Desc:计划完成日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? psspPlanDate {get;set;}

           /// <summary>
           /// Desc:实际完成日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? psspActDate {get;set;}

           /// <summary>
           /// Desc:预约人ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? psspResPersonCode {get;set;}

           /// <summary>
           /// Desc:预约时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? psspResDate {get;set;}

           /// <summary>
           /// Desc:派工人ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? psspSendPersonCode {get;set;}

           /// <summary>
           /// Desc:派工时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? psspSendDate {get;set;}

           /// <summary>
           /// Desc:满意度（此项目针对派工单，为扩展预留，可不使用）
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psspSatisfaction {get;set;}

           /// <summary>
           /// Desc:回访人ID（此项目针对派工单，为扩展预留，可不使用）
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? psspReviewPersonCode {get;set;}

           /// <summary>
           /// Desc:回访日期（此项目针对派工单，为扩展预留，可不使用）
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? psspReviewDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
