﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prSrvSheetMaster")]
    public partial class prSrvSheetMaster
    {
           public prSrvSheetMaster(){


           }
           /// <summary>
           /// Desc:客服接单唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pssmID {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:单据编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pssmNo {get;set;}

           /// <summary>
           /// Desc:客户ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ClientID {get;set;}

           /// <summary>
           /// Desc:客户名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ClientName {get;set;}

           /// <summary>
           /// Desc:报修对象类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ObjectType {get;set;}

           /// <summary>
           /// Desc:报修对象ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ObjectID {get;set;}

           /// <summary>
           /// Desc:报修对象名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ObjectName {get;set;}

           /// <summary>
           /// Desc:投诉、咨询、建议发起人，报修人，特约联系人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmSponsor {get;set;}

           /// <summary>
           /// Desc:客服事件类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmEvent {get;set;}

           /// <summary>
           /// Desc:性别
           /// Default:N'男'
           /// Nullable:True
           /// </summary>           
           public string pssmSex {get;set;}

           /// <summary>
           /// Desc:地址、报修位置、特约地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmAddr {get;set;}

           /// <summary>
           /// Desc:联系电话
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmTel {get;set;}

           /// <summary>
           /// Desc:报修日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssmReportDate {get;set;}

           /// <summary>
           /// Desc:报修内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmContent {get;set;}

           /// <summary>
           /// Desc:接单部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmDepart {get;set;}

           /// <summary>
           /// Desc:要求维修完成日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssmRepairDate {get;set;}

           /// <summary>
           /// Desc:接单人ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pssmReceiverCode {get;set;}

           /// <summary>
           /// Desc:接单日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime pssmReceiveDate {get;set;}

           /// <summary>
           /// Desc:是否已生成费用标志
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public int? pssmCreateAcc {get;set;}

           /// <summary>
           /// Desc:单据状态：0 - 未确认，1 - 已接单，2 - 派单已完成，3 - 已完成结果回填，99 - 已关闭
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pssmStatus {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmRemark {get;set;}

           /// <summary>
           /// Desc:400或非400接单来源
           /// Default:N'400端口'
           /// Nullable:False
           /// </summary>           
           public string pssmSource {get;set;}

           /// <summary>
           /// Desc:0-投诉、咨询、建议类，1-报修类，2-特服类
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int pssmType {get;set;}

           /// <summary>
           /// Desc:关闭人代码
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmClosePersonCode {get;set;}

           /// <summary>
           /// Desc:关闭日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssmCloseDate {get;set;}

           /// <summary>
           /// Desc:总完成人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmFinishPersonCode {get;set;}

           /// <summary>
           /// Desc:总完成日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pssmFinishDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:房间名称ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmRoomID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pssmAccountClientId {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pssmReceiveTime {get;set;}

    }
}
