﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockInDetail")]
    public partial class prStockInDetail
    {
           public prStockInDetail(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int sidId {get;set;}

           /// <summary>
           /// Desc:入库单编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int siId {get;set;}

           /// <summary>
           /// Desc:物资明细内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sidNum {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sidUnitPrice {get;set;}

           /// <summary>
           /// Desc:总价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sidPrice {get;set;}

           /// <summary>
           /// Desc:使用有效期
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdValidity {get;set;}

           /// <summary>
           /// Desc:使用有效期单位
           /// Default:年
           /// Nullable:True
           /// </summary>           
           public string mdValidityUnit {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
