﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockOut")]
    public partial class prStockOut
    {
           public prStockOut(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int soId {get;set;}

           /// <summary>
           /// Desc:管理处内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManageId {get;set;}

           /// <summary>
           /// Desc:出库单编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string soNo {get;set;}

           /// <summary>
           /// Desc:仓库内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int sId {get;set;}

           /// <summary>
           /// Desc:出库类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string soType {get;set;}

           /// <summary>
           /// Desc:出库单状态，0未审核 1已审核 2未通过 3已入库
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int soState {get;set;}

           /// <summary>
           /// Desc:领用人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? soStockid {get;set;}

           /// <summary>
           /// Desc:领用人部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string soStockDept {get;set;}

           /// <summary>
           /// Desc:制表人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? soTableId {get;set;}

           /// <summary>
           /// Desc:制表时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? soTableDate {get;set;}

           /// <summary>
           /// Desc:审核人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? soAuditId {get;set;}

           /// <summary>
           /// Desc:审核时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? soAuditDate {get;set;}

           /// <summary>
           /// Desc:出库人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? soStockInid {get;set;}

           /// <summary>
           /// Desc:领用时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? soStockInDate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string soRemark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
