﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockTakingDetail")]
    public partial class prStockTakingDetail
    {
           public prStockTakingDetail(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int stdid {get;set;}

           /// <summary>
           /// Desc:盘点单内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int stid {get;set;}

           /// <summary>
           /// Desc:物资明细内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:差异控，0不存在差异 1存在差异
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int mdDifference {get;set;}

           /// <summary>
           /// Desc:账面库存
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal mdStock {get;set;}

           /// <summary>
           /// Desc:实际库存
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdStockTure {get;set;}

           /// <summary>
           /// Desc:差额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? mdMargin {get;set;}

           /// <summary>
           /// Desc:差额原因
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string stdMarginReason {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
