﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// webapi接口执行后返回的标准对象
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class ReturnObject<T>
    {
        /// <summary>
        /// 成功或失败
        /// </summary>
        public bool IsSuccess { get; set; }
        /// <summary>
        /// 状态码,整数型
        /// </summary>
        public string code { get; set; }
        /// <summary>
        /// 错误信息
        /// </summary>
        public string ErrMsg { get; set; }
        /// <summary>
        /// 执行成功返回的对象
        /// </summary>
        public T Data { get; set; }
    }
}
