﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    public class DesignChangesCostDTO
    {
        /// <summary>
        /// 待审变革费用编码
        /// </summary>
        public string DesignChangesCostCode { get; set; }
        /// <summary>
        /// 待审变更编码
        /// </summary>
        public string DesignChangesCode { get; set; }
        /// <summary>
        /// 含税金额
        /// </summary>
        public decimal Cash { get; set; }
        /// <summary>
        /// 税额
        /// </summary>
        public decimal RateCash { get; set; }
        /// <summary>
        /// 不含税金额
        /// </summary>
        public decimal NoRateCash { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// cbs表主键
        /// </summary>
        public string CostCode { get; set; }
        /// <summary>
        /// 费用项名称
        /// </summary>
        public string CostCodeName { get; set; }
        /// <summary>
        /// CostBudgetSet 表主键
        /// </summary>
        public string CostBudgetSetCode { get; set; }
        /// <summary>
        /// 合约规划ID
        /// </summary>
        public string CpId { get; set; }
    }
}
