﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 进度报告
    /// </summary>
    public class pmProgressReportDTO
    {
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>    
        public int Id { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ProjectCode { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        public int ProgressId { get; set; }
        /// <summary>
        /// 进度计划名
        /// </summary>
        public string ProgressName { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        public int ProgressNodeId { get; set; }
        /// <summary>
        /// 工作项名
        /// </summary>
        public string NodeName { get; set; }

        private string _ReportDate;
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ReportDate
        {
            get
            {
                var str = "";
                if (_ReportDate != null)
                {
                    var arr = _ReportDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _ReportDate = value;
            }
        }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public int CompletePercent { get; set; }

        private string _ActualStartDate;
        /// <summary>
        /// 实际开始时间
        /// </summary>
        public string ActualStartDate
        {
            get
            {
                var str = "";
                if (_ActualStartDate != null)
                {
                    var arr = _ActualStartDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _ActualStartDate = value;
            }
        }
        private string _ActualFinishDate;
        /// <summary>
        /// 实际结束时间
        /// </summary>
        public string ActualFinishDate
        {
            get
            {
                var str = "";
                if (_ActualFinishDate != null)
                {
                    var arr = _ActualFinishDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _ActualFinishDate = value;
            }
        }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? CheckCompletePercent { get; set; }

        private string _CheckActualStartDate;
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckActualStartDate
        {
            get
            {
                var str = "";
                if (_CheckActualStartDate != null)
                {
                    var arr = _CheckActualStartDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _CheckActualStartDate = value;
            }
        }

        private string _CheckActualFinishDate;
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckActualFinishDate
        {
            get
            {
                var str = "";
                if (_CheckActualFinishDate != null)
                {
                    var arr = _CheckActualFinishDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _CheckActualFinishDate = value;
            }
        }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public int State { get; set; }

        public string StateName
        {
            get
            {
                string name = "待审";
                if (State == 1)
                {
                    name = "审核中";
                }
                else if (State == 2)
                {
                    name = "已审";
                }
                return name;
            }
        }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string InputPerson { get; set; }

        private string _InputDate;
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string InputDate
        {
            get
            {
                var str = "";
                if (_InputDate != null)
                {
                    var arr = _InputDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _InputDate = value;
            }
        }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckPerson { get; set; }

        private string _CheckDate;
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckDate
        {
            get
            {
                var str = "";
                if (_CheckDate != null)
                {
                    var arr = _CheckDate.Split(' ');
                    str = arr[0];
                }

                return str;
            }
            set
            {
                _CheckDate = value;
            }
        }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>         
        public byte[] TimeStamp { get; set; }

    }
}
