﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///费用项
    ///</summary>
    [SugarTable("CBS")]
    public partial class CBS
    {
           public CBS(){


           }
           /// <summary>
           /// Desc:费用项编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string CostCode {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:父节点编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ParentCode {get;set;}

           /// <summary>
           /// Desc:节点深度
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Deep {get;set;}

           /// <summary>
           /// Desc:费用项名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostName {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string OutLineNumber {get;set;}

           /// <summary>
           /// Desc:排序号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SortID {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Description {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostAllocationDescription {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string EstimateMark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MeasurementUnit {get;set;}

           /// <summary>
           /// Desc:科目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SubjectCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? UnitPrice {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PriceDescription {get;set;}

           /// <summary>
           /// Desc:完整编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string FullCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CBSModuleCode {get;set;}

           /// <summary>
           /// Desc:帐套编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SubjectSetCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? IsFixed {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Type {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreateUserCode {get;set;}

           /// <summary>
           /// Desc:总目标费用
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalTargetMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalBudgetMoney {get;set;}

           /// <summary>
           /// Desc:预算类型编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BudgetType {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SubjectName {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SubjectID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? SubjectYear {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int IsPublicShare {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Rate {get;set;}

    }
}
