﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///设计变更
    ///</summary>
    [SugarTable("DesignChange")]
    public partial class DesignChange
    {
           public DesignChange(){


           }
           /// <summary>
           /// Desc:设计变更代码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Code {get;set;}

           /// <summary>
           /// Desc:工程名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SolutionName {get;set;}

           /// <summary>
           /// Desc:项目名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectName {get;set;}

           /// <summary>
           /// Desc:编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Number {get;set;}

           /// <summary>
           /// Desc:经办人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Person {get;set;}

           /// <summary>
           /// Desc:经办部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Unit {get;set;}

           /// <summary>
           /// Desc:供应商
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Supplier {get;set;}

           /// <summary>
           /// Desc:变更日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? Date {get;set;}

           /// <summary>
           /// Desc:变更类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Type {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:原因
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Reason {get;set;}

           /// <summary>
           /// Desc:设计院
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Designer {get;set;}

           /// <summary>
           /// Desc:联系单编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string RelationNumber {get;set;}

           /// <summary>
           /// Desc:收文人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string TerminatingPerson {get;set;}

           /// <summary>
           /// Desc:收文日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? TerminatingDate {get;set;}

           /// <summary>
           /// Desc:专业
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Specialty {get;set;}

           /// <summary>
           /// Desc:变更费用描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangeMoney {get;set;}

           /// <summary>
           /// Desc:合计
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalMoney {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string State {get;set;}

           /// <summary>
           /// Desc:标识
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Flag {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Contract {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangeType {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ReferCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string IsAffactSell {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string IsMoneyChange {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangePhase {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SD_IsaffectWords {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SD_LodgeDepart {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SD_ChangeReason {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckPerson {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CheckDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckOpinion {get;set;}

    }
}
