﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("GradeConsiderDiathesis")]
    public partial class GradeConsiderDiathesis
    {
           public GradeConsiderDiathesis(){


           }
           /// <summary>
           /// Desc:考虑因素Code
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string ConsiderDiathesisCode {get;set;}

           /// <summary>
           /// Desc:评分主定义Code(FK)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MainDefineCode {get;set;}

           /// <summary>
           /// Desc:父节点
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ParentCode {get;set;}

           /// <summary>
           /// Desc:考虑因素内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ConsiderDiathesis {get;set;}

           /// <summary>
           /// Desc:评分指标
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string GradeGuideline {get;set;}

           /// <summary>
           /// Desc:权重
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Percentage {get;set;}

           /// <summary>
           /// Desc:0--无效,1--有效
           /// Default:1
           /// Nullable:True
           /// </summary>           
           public int? state {get;set;}

    }
}
