﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("PurchaseContractChange")]
    public partial class PurchaseContractChange
    {
           public PurchaseContractChange(){


           }
           /// <summary>
           /// Desc:合同变更code(主键)
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string PurchaseContractChangeCode {get;set;}

           /// <summary>
           /// Desc:审批表编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractChangeId {get;set;}

           /// <summary>
           /// Desc:合同code
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractCode {get;set;}

           /// <summary>
           /// Desc:变更依据
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Voucher {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ChangeCash {get;set;}

           /// <summary>
           /// Desc:供应商本次变更申请金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? SupplierChangeCash {get;set;}

           /// <summary>
           /// Desc:顾问估算师审核金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ConsultantAuditCash {get;set;}

           /// <summary>
           /// Desc:项目合约部审核金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ProjectAuditCash {get;set;}

           /// <summary>
           /// Desc:变更原因及摘要
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangeReason {get;set;}

           /// <summary>
           /// Desc:状态  0:// 申请  1:// 已审  2: // 申请流程中 3: //作废
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Status {get;set;}

           /// <summary>
           /// Desc:变更者
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangePerson {get;set;}

           /// <summary>
           /// Desc:变更日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ChangeDate {get;set;}

           /// <summary>
           /// Desc:变更类型
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ChangeType {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckPerson {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CheckDate {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckOpinion {get;set;}

           /// <summary>
           /// Desc:合同条款变更明细
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ArticalDetail {get;set;}

    }
}
