﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("PurchaseContractCostChange")]
    public partial class PurchaseContractCostChange
    {
           public PurchaseContractCostChange(){


           }
           /// <summary>
           /// Desc:合同金额变更code
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string PurchaseContractCostChangeCode {get;set;}

           /// <summary>
           /// Desc:合同code
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractCode {get;set;}

           /// <summary>
           /// Desc:合同金额code
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractCostCode {get;set;}

           /// <summary>
           /// Desc:合同变更code
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PurchaseContractChangeCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Summary {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Cash {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? Money {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

    }
}
