﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("Requisition")]
    public partial class Requisition
    {
        public Requisition()
        {


        }
        /// <summary>
        /// 签证申请单编码
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true)]
        public string RequisitionCode { get; set; }

        /// <summary>
        /// 项目编码
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ProjectCode { get; set; }

        /// <summary>
        /// 签证申请单编码
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string RequisitionNumber { get; set; }

        /// <summary>
        /// 申请单名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string RequisitionName { get; set; }

        /// <summary>
        /// 申请日期
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? RequisitionDate { get; set; }

        /// <summary>
        /// 经办人
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Person { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string UnitCode { get; set; }

        /// <summary>
        /// 经办部门
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string RequisitionReason { get; set; }

        /// <summary>
        /// 备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }

        /// <summary>
        /// 状态 0:待审  1：审核中 2：已审 3：作废
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? state { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? AuditDate { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        public byte[] TimeStamp { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Other1 { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Other2 { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? Other3 { get; set; }

        /// <summary>
        /// 合同号
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ContractCode { get; set; }

        /// <summary>
        /// 签证类型  0：签证类型   1：设计变更类型
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public int RequisitionType { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string AuditPerson { get; set; }

        /// <summary>
        /// Desc:
        /// Default:0
        /// Nullable:False
        /// </summary>           
        public decimal TotalEstimateCash { get; set; }

        /// <summary>
        /// 签证类型值
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ChangeType { get; set; }

    }

}
