﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SaMarketPlan")]
    public partial class SaMarketPlan
    {
           public SaMarketPlan(){


           }
           /// <summary>
           /// Desc:企划内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int mpID {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int projectID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mpName {get;set;}

           /// <summary>
           /// Desc:预算类型(数据类型)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? mpType {get;set;}

           /// <summary>
           /// Desc:属性(数据字典)
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpAttribute {get;set;}

           /// <summary>
           /// Desc:预算总价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal mpBudgetMoney {get;set;}

           /// <summary>
           /// Desc:预算总价
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime mpPlanDate {get;set;}

           /// <summary>
           /// Desc:说明
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string mpComment {get;set;}

           /// <summary>
           /// Desc:状态(0-待审，1-审核中,2-已审,3-作废)
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int mpState {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? mpAuditDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
