﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SystemGroup_bak")]
    public partial class SystemGroup_bak
    {
           public SystemGroup_bak(){


           }
           /// <summary>
           /// Desc:系统类别编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string GroupCode {get;set;}

           /// <summary>
           /// Desc:系统类别名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string GroupName {get;set;}

           /// <summary>
           /// Desc:大类编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ClassCode {get;set;}

           /// <summary>
           /// Desc:父节点编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ParentCode {get;set;}

           /// <summary>
           /// Desc:完整编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string FullID {get;set;}

           /// <summary>
           /// Desc:深度
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Deep {get;set;}

           /// <summary>
           /// Desc:排序号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SortID {get;set;}

           /// <summary>
           /// Desc:英文名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string GroupNameEn {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MoneyFanceS {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string MoneyFanceE {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostManagement {get;set;}

    }
}
