﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///存贮用户自定义分组时候的组名
    ///</summary>
    [SugarTable("UserHelpGroup")]
    public partial class UserHelpGroup
    {
           public UserHelpGroup(){


           }
           /// <summary>
           /// Desc:标志符
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int Code {get;set;}

           /// <summary>
           /// Desc:组名
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string GroupName {get;set;}

           /// <summary>
           /// Desc:用户编号(拥有者)
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string UserCode {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateTime {get;set;}

    }
}
