﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 质量检测表中材料检查关联的材料项
    /// </summary>
    [SugarTable("ZRelationSafeQualityCheckMaterial")]
    public class ZRelationSafeQualityCheckMaterial
    {
         
        [SugarColumn(IsPrimaryKey= true,IsIdentity =true, ColumnDescription = "主键，自增列")]
        public int Id { get; set; }
        /// <summary>
        /// 安全质量核对编号
        /// </summary>
        [SugarColumn(Length =50, ColumnDescription = "SafeQualityCheck表主键")]
        public string SafeQualityCheckCode { get; set; }
        /// <summary>
        /// 材料编号
        /// </summary>
       [SugarColumn(Length =50, ColumnDescription = "Material表主键")]
        public string MaterialCode { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsOnlyIgnoreInsert =true,IsOnlyIgnoreUpdate =true, ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
