﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevPartList")]
    public partial class prDevPartList
    {
           public prDevPartList(){


           }
           /// <summary>
           /// Desc:更换部件记录唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdplID {get;set;}

           /// <summary>
           /// Desc:设备ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pdlID {get;set;}

           /// <summary>
           /// Desc:维保单ID
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdrmID {get;set;}

           /// <summary>
           /// Desc:材料ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:出库单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int soId {get;set;}

           /// <summary>
           /// Desc:规格
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdplSpec {get;set;}

           /// <summary>
           /// Desc:计量单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdplUnit {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal pdplAmount {get;set;}

           /// <summary>
           /// Desc:更换日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime pdplDate {get;set;}

           /// <summary>
           /// Desc:更换原因
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdplReason {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdplRemark {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal pdplPrice {get;set;}

           /// <summary>
           /// Desc:金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal pdplCost {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
