﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevPlanMaster")]
    public partial class prDevPlanMaster
    {
           public prDevPlanMaster(){


           }
           /// <summary>
           /// Desc:维保计划主表唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdpmID {get;set;}

           /// <summary>
           /// Desc:管理处ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementID {get;set;}

           /// <summary>
           /// Desc:维保年份
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string pdpmYear {get;set;}

           /// <summary>
           /// Desc:制单部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmDepart {get;set;}

           /// <summary>
           /// Desc:单据编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmNo {get;set;}

           /// <summary>
           /// Desc:制单人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmMakePersonCode {get;set;}

           /// <summary>
           /// Desc:单据日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdpmMakeDate {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmAuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdpmAuditDate {get;set;}

           /// <summary>
           /// Desc:录入人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmInputPersonCode {get;set;}

           /// <summary>
           /// Desc:录入日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? pdpmInputDate {get;set;}

           /// <summary>
           /// Desc:单据状态
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? pdpmStatus {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdpmRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
