﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prDevTransform")]
    public partial class prDevTransform
    {
           public prDevTransform(){


           }
           /// <summary>
           /// Desc:设备改造记录唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int pdtID {get;set;}

           /// <summary>
           /// Desc:设备ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pdlID {get;set;}

           /// <summary>
           /// Desc:改造内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdtContent {get;set;}

           /// <summary>
           /// Desc:改造日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime pdtDate {get;set;}

           /// <summary>
           /// Desc:改造部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdtDepart {get;set;}

           /// <summary>
           /// Desc:负责人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdtPersonCode {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdtRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
