﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prGrowPeriod")]
    public partial class prGrowPeriod
    {
           public prGrowPeriod(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int GPId {get;set;}

           /// <summary>
           /// Desc:经营性合同表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int OperateContractId {get;set;}

           /// <summary>
           /// Desc:增长开始时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime GrowStartDate {get;set;}

           /// <summary>
           /// Desc:增长结束时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime GrowEndDate {get;set;}

           /// <summary>
           /// Desc:增长率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal GrowRate {get;set;}

           /// <summary>
           /// Desc:增长序号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int GrowIndex {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:增长后日租金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? GpDayCash {get;set;}

           /// <summary>
           /// Desc:增长后月租金
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? GpMonthCash {get;set;}

    }
}
