﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prHourStandardItem")]
    public partial class prHourStandardItem
    {
           public prHourStandardItem(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int HSIId {get;set;}

           /// <summary>
           /// Desc:工时标准类型表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int HourStandardTypeId {get;set;}

           /// <summary>
           /// Desc:编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string SortId {get;set;}

           /// <summary>
           /// Desc:名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ItemName {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ItemQuantity {get;set;}

           /// <summary>
           /// Desc:单为
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ItemUnit {get;set;}

           /// <summary>
           /// Desc:工作性质
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ItemWorkNature {get;set;}

           /// <summary>
           /// Desc:人员配备
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ItemPersonAmount {get;set;}

           /// <summary>
           /// Desc:工时
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? ItemHours {get;set;}

           /// <summary>
           /// Desc:价格
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ItemPrice {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ItemWorkskind {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ItemNumprice {get;set;}

    }
}
