﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prHouseHoldsFiles")]
    public partial class prHouseHoldsFiles
    {
           public prHouseHoldsFiles(){


           }
           /// <summary>
           /// Desc:入住/入场签署文件唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int phhfID {get;set;}

           /// <summary>
           /// Desc:入住/入场主单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int phhmID {get;set;}

           /// <summary>
           /// Desc:签署文件
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string phhfName {get;set;}

           /// <summary>
           /// Desc:签署人
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string phhfPerson {get;set;}

           /// <summary>
           /// Desc:签署日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime phhfDate {get;set;}

           /// <summary>
           /// Desc:文件人数
           /// Default:1
           /// Nullable:False
           /// </summary>           
           public int phhfAmount {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string phhfRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
