﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prMaterialDetail")]
    public partial class prMaterialDetail
    {
           public prMaterialDetail(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int mdId {get;set;}

           /// <summary>
           /// Desc:材料编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int MaterialCode {get;set;}

           /// <summary>
           /// Desc:管理处内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManageId {get;set;}

           /// <summary>
           /// Desc:仓库内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int sId {get;set;}

           /// <summary>
           /// Desc:主计量单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdUnit {get;set;}

           /// <summary>
           /// Desc:重量
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdWeight {get;set;}

           /// <summary>
           /// Desc:重量单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdWeightUnit {get;set;}

           /// <summary>
           /// Desc:体积
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdVol {get;set;}

           /// <summary>
           /// Desc:体积单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdVolUnit {get;set;}

           /// <summary>
           /// Desc:长度
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdLen {get;set;}

           /// <summary>
           /// Desc:长度单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdLenUnit {get;set;}

           /// <summary>
           /// Desc:高度
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdHigh {get;set;}

           /// <summary>
           /// Desc:高度单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdHighUnit {get;set;}

           /// <summary>
           /// Desc:最大库存
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdMaxStock {get;set;}

           /// <summary>
           /// Desc:最小库存
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdMinStock {get;set;}

           /// <summary>
           /// Desc:当前库存
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdStock {get;set;}

           /// <summary>
           /// Desc:盘点状态：0未盘点 1盘点中
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public int? stState {get;set;}

           /// <summary>
           /// Desc:最新入库价格
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdNewIntUnitPrice {get;set;}

           /// <summary>
           /// Desc:最大入库价格
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdMaxIntUnitPrice {get;set;}

           /// <summary>
           /// Desc:加权平均价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? mdAverageUnitPrice {get;set;}

           /// <summary>
           /// Desc:出库价格指导上浮比例
           /// Default:0
           /// Nullable:True
           /// </summary>           
           public decimal? mdScale {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string mdRemark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
