﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prOperateContractCharge")]
    public partial class prOperateContractCharge
    {
           public prOperateContractCharge(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int OCCId {get;set;}

           /// <summary>
           /// Desc:经营性合同表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int OperateContractId {get;set;}

           /// <summary>
           /// Desc:费用名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ChargeName {get;set;}

           /// <summary>
           /// Desc:费用科目表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeSubjectId {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CurrencyMoney {get;set;}

           /// <summary>
           /// Desc:计算方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CountType {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargePayMode {get;set;}

    }
}
