﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prOperateContractObject")]
    public partial class prOperateContractObject
    {
           public prOperateContractObject(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int OCOId {get;set;}

           /// <summary>
           /// Desc:经营性合同表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int OperateContractId {get;set;}

           /// <summary>
           /// Desc:出租物主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? RentObjectId {get;set;}

           /// <summary>
           /// Desc:出租面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? RentArea {get;set;}

           /// <summary>
           /// Desc:出租单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? RentPrice {get;set;}

           /// <summary>
           /// Desc:出租数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? RentQuantity {get;set;}

           /// <summary>
           /// Desc:本币租金
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CurrencyMoney {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? RentRoomId {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? RentType {get;set;}

    }
}
