﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prPaymentDtl")]
    public partial class prPaymentDtl
    {
           public prPaymentDtl(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int PDId {get;set;}

           /// <summary>
           /// Desc:收款表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PaymentId {get;set;}

           /// <summary>
           /// Desc:费用名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ChargeName {get;set;}

           /// <summary>
           /// Desc:费用科目表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ChargeSubjectId {get;set;}

           /// <summary>
           /// Desc:财务科目表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? FinanceSubjectId {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal CurrencyMoney {get;set;}

           /// <summary>
           /// Desc:物业费用表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargeId {get;set;}

           /// <summary>
           /// Desc:票据号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string BillNum {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdClientBank {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdClientBankNo {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdBank {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdBalanceMode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string pdBalanceModeName {get;set;}

    }
}
