﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prServiceArt")]
    public partial class prServiceArt
    {
           public prServiceArt(){


           }
           /// <summary>
           /// Desc:结果回填服务项目明细ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int psaID {get;set;}

           /// <summary>
           /// Desc:派单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int psspID {get;set;}

           /// <summary>
           /// Desc:服务项目ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int HouseStandardItemID {get;set;}

           /// <summary>
           /// Desc:工时
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psaAmount {get;set;}

           /// <summary>
           /// Desc:工时费率
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psaPrice {get;set;}

           /// <summary>
           /// Desc:费用
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psaCost {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psaRemark {get;set;}

           /// <summary>
           /// Desc:费用表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargeID {get;set;}

           /// <summary>
           /// Desc:接单表ID
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int pssmID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
