﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prServiceBackVisit")]
    public partial class prServiceBackVisit
    {
           public prServiceBackVisit(){


           }
           /// <summary>
           /// Desc:回访单唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int psbvID {get;set;}

           /// <summary>
           /// Desc:接单唯一标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int pssmID {get;set;}

           /// <summary>
           /// Desc:回访人ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int psbvPersonCode {get;set;}

           /// <summary>
           /// Desc:回访日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime psbvDate {get;set;}

           /// <summary>
           /// Desc:回访内容
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psbvContent {get;set;}

           /// <summary>
           /// Desc:回访结果
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psbvResult {get;set;}

           /// <summary>
           /// Desc:满意度（百分制）
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int psbvSatisfaction {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psbvRemark {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
