﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prServiceMat")]
    public partial class prServiceMat
    {
           public prServiceMat(){


           }
           /// <summary>
           /// Desc:结果回填材料明细ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int psmID {get;set;}

           /// <summary>
           /// Desc:派单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int psspID {get;set;}

           /// <summary>
           /// Desc:材料ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:出库单ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int soId {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psmAmount {get;set;}

           /// <summary>
           /// Desc:材料单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psmPrice {get;set;}

           /// <summary>
           /// Desc:金额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? psmCost {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string psmRemark {get;set;}

           /// <summary>
           /// Desc:费用表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? ChargeID {get;set;}

           /// <summary>
           /// Desc:接单表ID
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int pssmID {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
