﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockIn")]
    public partial class prStockIn
    {
           public prStockIn(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int siId {get;set;}

           /// <summary>
           /// Desc:管理处内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManageId {get;set;}

           /// <summary>
           /// Desc:入库单编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string siNo {get;set;}

           /// <summary>
           /// Desc:仓库内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int sId {get;set;}

           /// <summary>
           /// Desc:入库类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string siType {get;set;}

           /// <summary>
           /// Desc:入库单状态，0未审核 1已审核 2未通过 3已入库
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int siState {get;set;}

           /// <summary>
           /// Desc:采购人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? siStock {get;set;}

           /// <summary>
           /// Desc:采购部门
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string siStockDept {get;set;}

           /// <summary>
           /// Desc:供应商
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string siSupplier {get;set;}

           /// <summary>
           /// Desc:制表人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? siTableId {get;set;}

           /// <summary>
           /// Desc:制表时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? siTableDate {get;set;}

           /// <summary>
           /// Desc:审核人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? siAuditId {get;set;}

           /// <summary>
           /// Desc:审核时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? siAuditDate {get;set;}

           /// <summary>
           /// Desc:入库人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? siStockInid {get;set;}

           /// <summary>
           /// Desc:入库时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? siStockInDate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string siRemark {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
