﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockOutDetail")]
    public partial class prStockOutDetail
    {
           public prStockOutDetail(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int sodId {get;set;}

           /// <summary>
           /// Desc:入库单编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int soId {get;set;}

           /// <summary>
           /// Desc:物资明细内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int mdId {get;set;}

           /// <summary>
           /// Desc:数量
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sodNum {get;set;}

           /// <summary>
           /// Desc:还可用数量
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? soUsableNum {get;set;}

           /// <summary>
           /// Desc:指导价格
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sodRecommended {get;set;}

           /// <summary>
           /// Desc:单价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sodUnitPrice {get;set;}

           /// <summary>
           /// Desc:总价
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal sodPrice {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
