﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prStockTaking")]
    public partial class prStockTaking
    {
           public prStockTaking(){


           }
           /// <summary>
           /// Desc:内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int stId {get;set;}

           /// <summary>
           /// Desc:盘点单编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string stNo {get;set;}

           /// <summary>
           /// Desc:盘点单名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string stName {get;set;}

           /// <summary>
           /// Desc:管理处内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManageId {get;set;}

           /// <summary>
           /// Desc:仓库内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int sId {get;set;}

           /// <summary>
           /// Desc:盘点日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime stDate {get;set;}

           /// <summary>
           /// Desc:盘点单状态，0盘点中 1已盘点
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int stState {get;set;}

           /// <summary>
           /// Desc:盘点人id
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int stbeginid {get;set;}

           /// <summary>
           /// Desc:审核人id
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? stendid {get;set;}

           /// <summary>
           /// Desc:审核时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? stendDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

    }
}
