import request from '@/common/axiosHelper.js'

 
 /* 质量安全检查列表获取*/
 export function GetSafeQualityCheckDTOs(type, searchValue) {
   return request({
 	url: '/SafeQualityCheck/GetSafeQualityCheckDTOs',
 	method: 'get',
 	params:{type:type,searchValue:searchValue}
   })
 }
 
 /* 质量安全检查列表获取*/
 export function GetSafeQualityCheckDTO(checkcode) {
   return request({
 	url: '/SafeQualityCheck/GetSafeQualityCheckDTO',
 	method: 'get',
 	params:{checkcode:checkcode}
   })
 }
 /*插入安全检查*/
 export function InsertSafeQualityCheck(data) {
   return request({
 	url: '/SafeQualityCheck/InsertSafeQualityCheck',
 	method: 'POST',
 	data:data
   })
 }
 /*更新安全检查*/
 export function UpdateSafeQualityCheck(data) {
   return request({
 	url: '/SafeQualityCheck/UpdateSafeQualityCheck',
 	method: 'POST',
 	data:data
   })
 }
 
 /*获取质量安全检查项*/
 export function GetQualityAndSafeItems(type,searchvalue) {
   return request({
 	url: '/Common/GetQualityAndSafeItems',
 	method: 'get',
 	params:{type:type,searchvalue:searchvalue}
   })
 }
 /*质量检测表中材料检查关联的材料项列表*/
 export function GetZRelationSafeQualityCheckMaterialDTOs(safeQualityCheckCode) {
   return request({
 	url: '/SafeQualityCheck/GetZRelationSafeQualityCheckMaterialDTOs',
 	method: 'get',
 	params:{safeQualityCheckCode:safeQualityCheckCode}
   })
 } 
 /*插入质量检测表中材料检查关联的材料项*/
 export function InsertZRelationSafeQualityCheckMaterial(data) {
   return request({
 	url: '/SafeQualityCheck/InsertZRelationSafeQualityCheckMaterial',
 	method: 'POST',
 	data:data
   })
 }
 /*删除质量检测表中材料检查关联的材料项*/
 export function DeleteZRelationSafeQualityCheckMaterial(id) {
   return request({
 	url: '/SafeQualityCheck/DeleteZRelationSafeQualityCheckMaterial',
 	method: 'get',
 	params:{id:id}
   })
 }